Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image.spi
Interface ErrorConstants

All Known Implementing Classes:
  AbstractImageIORegistryEntry, AbstractRegistryEntry, ImageIOJPEGRegistryEntry, ImageIOPNGRegistryEntry, ImageIOTIFFRegistryEntry, ImageTagRegistry, JDKRegistryEntry, JPEGRegistryEntry, MagicNumberRegistryEntry, PNGRegistryEntry, TIFFRegistryEntry

    public interface ErrorConstants

The built in error codes.

Field Summary
`static String` | `ERR_STREAM_FORMAT_UNREADABLE` The error code when a url of a particular format is unreadable (corrupt).
`static String` | `ERR_STREAM_UNREADABLE` The error code when a stream is unreadable (corrupt or unsupported).
`static String` | `ERR_URL_FORMAT_UNREADABLE` The error code when a url of a particular format is unreadable (corrupt).
`static String` | `ERR_URL_UNINTERPRETABLE` The error code when the data in the url is uninterpretable by this software (meaning it's corrupt or an unsupported format of some sort).
`static String` | `ERR_URL_UNREACHABLE` The error code when a url is unreachable (ussually bad URL, or server is down).
`static String` | `RESOURCES` The error messages bundle class name.

Field Detail

### RESOURCES

    static final String RESOURCES

  The error messages bundle class name.

  See Also:
    Constant Field Values

### ERR_STREAM_UNREADABLE

    static final String ERR_STREAM_UNREADABLE

  The error code when a stream is unreadable (corrupt or unsupported).

  See Also:
    Constant Field Values

### ERR_STREAM_FORMAT_UNREADABLE

    static final String ERR_STREAM_FORMAT_UNREADABLE

  The error code when a url of a particular format is unreadable (corrupt).

       {0} = the format that couldn't be read.

  See Also:
    Constant Field Values

### ERR_URL_UNINTERPRETABLE

    static final String ERR_URL_UNINTERPRETABLE

  The error code when the data in the url is uninterpretable by this software (meaning it's corrupt or an unsupported format of some sort).

       {0} = the ParsedURL that couldn't be read.

  See Also:
    Constant Field Values

### ERR_URL_UNREACHABLE

    static final String ERR_URL_UNREACHABLE

  The error code when a url is unreachable (ussually bad URL, or server is down).

       {0} = the ParsedURL that couldn't be read.

  See Also:
    Constant Field Values

### ERR_URL_FORMAT_UNREADABLE

    static final String ERR_URL_FORMAT_UNREADABLE

  The error code when a url of a particular format is unreadable (corrupt).

       {0} = the format that couldn't be read.
       {1} = the ParsedURL for file.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.